# SimpleHttpFetcher.IdleConnectionMonitorThread (Crawler-commons 0.7 API)
Date: 2016-11-21

crawlercommons.fetcher.http

## Class SimpleHttpFetcher.IdleConnectionMonitorThread

- java.lang.Object
- - java.lang.Thread
  - - crawlercommons.fetcher.http.SimpleHttpFetcher.IdleConnectionMonitorThread

All Implemented Interfaces:
  Runnable

Enclosing class:
  SimpleHttpFetcher

    public static class SimpleHttpFetcher.IdleConnectionMonitorThread
    extends Thread

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`Thread.State, Thread.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`IdleConnectionMonitorThread(org.apache.http.conn.HttpClientConnectionManager connMgr)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IdleConnectionMonitorThread

    public IdleConnectionMonitorThread(org.apache.http.conn.HttpClientConnectionManager connMgr)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `Thread`